Skip to main content
Astra Automation
本产品推出了新版本。
简体中文版经机器翻译而成,仅供参考。如与英语版出现任何冲突,应以英语版为准。

列出应用程序的计划

GET /accounts/{account_id}/k8s/v1/apps/{app_id}/schedules

返回集合中所有匹配资源的 JSON 数组。如果在请求中指定了单个字段,则项目 JSON 数组将包含按指定顺序为每个匹配资源请求的字段。

参数

名称 Type Required Description

account_id

string

path

True

包含帐户资源的 ID

  • 示例:{{.Account}}

app_id

string

path

True

包含应用程序资源的 ID

包括

string

查询

False

指示列出集合时应返回哪些字段。

URL 示例:"include=id"、"include=id,name"

OpenAPI 示例:"id"

  • 示例:id,name,granularity

limit

string

查询

False

指示列出集合时要返回的最大资源数。

URL 示例:"limit=2"

OpenAPI 示例:"2"

响应

Status: 200, Returns a JSON array of all matching resources in the collection. If individual fields are specified in the request, the items JSON array will contain the fields requested for each matching resource in the order specified.
名称 Type Required Description

个项

数组[任意类型:"schedule_1.3_get_response_body",数组[]]

True

元数据

"type_astra_metadata_list"

True

响应示例
{
  "type": "application/astra-schedules",
  "version": "1.3",
  "items": [
    [
      "0d6d20d6-8b7c-498a-b57b-5734210c209a",
      "Backup Schedule",
      "monthly"
    ]
  ],
  "metadata": {
    "labels": [],
    "creationTimestamp": "2022-10-06T20:58:16.305662Z",
    "modificationTimestamp": "2022-10-06T20:58:16.305662Z",
    "createdBy": "8f84cf09-8036-51e4-b579-bd30cb07b269"
  }
}

响应

Status: 401, Unauthorized
名称 Type Required Description

type

string

True

标题

string

True

详细信息

string

True

状态

string

True

correlationID

string

False

响应示例
{
  "type": "https://astra.netapp.io/problems/3",
  "title": "Missing bearer token",
  "detail": "The request is missing the required bearer token.",
  "status": "401"
}

响应

Status: 400, Bad request
名称 Type Required Description

type

string

True

标题

string

True

详细信息

string

True

状态

string

True

correlationID

string

False

invalidParams

数组["invalidParams"]

False

无效查询参数列表

响应示例
{
  "type": "https://astra.netapp.io/problems/5",
  "title": "Invalid query parameters",
  "detail": "The supplied query parameters are invalid.",
  "status": "400"
}

响应

Status: 403, Forbidden
名称 Type Required Description

type

string

True

标题

string

True

详细信息

string

True

状态

string

True

correlationID

string

False

响应示例
{
  "type": "https://astra.netapp.io/problems/11",
  "title": "Operation not permitted",
  "detail": "The requested operation isn't permitted.",
  "status": "403"
}

错误

Status: 404, Not found
名称 Type Required Description

type

string

True

标题

string

True

详细信息

string

True

状态

string

True

correlationID

string

False

错误响应示例
{
  "type": "https://astra.netapp.io/problems/2",
  "title": "Collection not found",
  "detail": "The collection specified in the request URI wasn't found.",
  "status": "404"
}

定义

查看定义

类型 Astra 标签

名称 Type Required Description

name

string

True

value

string

True

type_astra_metadata_update

与资源关联的客户端和服务指定的元数据。定义的值为:

  • 符合 Astra 元数据架构如果在创建时未指定,则将创建没有标签的元数据对象。如果在更新时未指定,则元数据对象的标签、creationTimestamp 和 createdBy 将保留而不进行修改。

名称 Type Required Description

labels

数组["类型 Astra 标签"]

False

creationTimestamp

string

False

modificationTimestamp

string

False

已创建

string

False

modifiedBy

string

False

schedule_1.3_get_response_body

名称 Type Required Description

type

string

True

资源的媒体类型。定义的值为:

  • "application/astra-schedule"

version

string

True

资源的版本。定义的值为:

  • "1.0"

  • "1.1"

  • "1.2"

  • "1.3"

id

string

True

资源的全局唯一标识符。定义的值为:

  • 符合 UUIDv4 架构

name

string

True

包含计划名称的 JSON 字符串。定义的值为:

  • 最小长度:1

  • 最大长度:63

启用

string

True

指示计划是否处于活动状态的 JSON 字符串。定义的值为:

  • "true" - 此计划处于活动状态

  • "false" - 计划未激活。如果未指定,则默认值为 "true"。

粒度

string

True

表示计划粒度的 JSON 字符串。定义的值为:

  • "每小时"

  • "每日"

  • "每周"

  • "每月"

  • "自定义"

分钟

string

True

包含数值的 JSON 字符串,该数值表示执行计划的小时中的分钟数(0 - 59)。定义的值为:

  • 定义的正则表达式为:"^[0-9]

[1-5][0-9]$" 如果粒度设置为"hourly"、"daily"、"weekly"或"monthly",则此字段存在。对于自定义计划,它将返回值"0"。

小时

string

False

包含一个数值的 JSON 字符串,该数值指示执行计划的一天中的小时(0 - 23)。定义的值为:

  • 定义的正则表达式为:"^[0-9]

[1][0-9]

[2][0-3]$" 如果粒度设置为"daily"、"weekly"或"monthly",则此字段存在。

dayOfWeek

string

False

包含一个数值的 JSON 字符串,该数值指示要执行计划的星期几 (0-7)。定义的值为:

  • 定义的正则表达式为:"^[0-7]$" 此字段仅在粒度设置为"weekly"时才存在。

dayOfMonth

string

False

JSON 字符串,包含指示要执行计划的月份日期 (1-31) 的数值。定义的值为:

  • 定义的正则表达式为:"^[1-9]

[1-2][0-9]

[3][0-1]$" 此字段仅在粒度设置为"monthly"时才存在。

recurrenceRule

string

False

包含 RFC-5545 第 3.8.5.3 节的 JSON 字符串。重复规则。对于 DTSTART 参数,仅支持 UTC 时间戳(由"Z"后缀表示),并且仅支持当前时间之前的时间戳。对于 RECUR 规则部分,"FREQ"和"INTERVAL"是唯一受支持的规则部分。对于 FREQ 规则部分,"MINUTELY"和"HOURLY"是唯一支持的值。此字段仅在粒度设置为"custom"时才存在。

snapshotRetention

string

True

包含正数值的 JSON 字符串,表示要保留多少个快照。零表示备份后应删除快照。定义的值为:

  • 最小长度:1

  • 最大长度:63

  • 定义的正则表达式为:"^(0

([1-9][0-9]*))$"

backupRetention

string

True

包含指示要保留多少个备份的正数值的 JSON 字符串。零表示不应创建备份。定义的值为:

  • 最小长度:1

  • 最大长度:63

  • 定义的正则表达式为:"^(0

([1-9][0-9]*))$"

bucketID

string

False

包含一个可选存储桶 ID 的 JSON 字符串,该 ID 指示必须在创建时存储备份的位置。如果未指定,将使用系统选择的存储桶。定义的值为:

  • 符合 Astra 标识符架构

复制

string

False

JSON 字符串,指示计划是否触发每个快照的 AppMirror 复制。仅当应用程序定义了 AppMirror 关系时才生效。定义的值为:

  • "true" - 此计划触发 AppMirror 复制

  • "false" - 计划不会触发 AppMirror 复制如果未指定,则默认值为 "false"。

元数据

type_astra_metadata_list

名称 Type Required Description

继续

string

False

count

数字

False

labels

数组["类型 Astra 标签"]

False

creationTimestamp

string

False

modificationTimestamp

string

False

已创建

string

False

modifiedBy

string

False

invalidParams

名称 Type Required Description

name

string

True

无效查询参数的名称

原因

string

True

查询参数无效的原因